Subject: multiple DLLs
From: [email-masked] (Kees van Veen)

29 Oct 1997 09:18:04 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I'm having trouble running programs that are linked to more than one
(relocatable) dlls.
I use b18 with Sergey's latest patches on Windows95

I'm able to link an executable to two .a libraries made with the
Makefile.DLLs of Fergus Henderson, but when I run the executable
(main.exe) a window pops up saying "unable to start main.exe"
and bash says "./main: Not owner". 
Running it in gdb says error 11 which is EAGAIN (No more processes).

As long as I link with only one DLL everything works fine, but when I
add one or more this message appears.

Does any of you have a clue or can you point me where to look for the
problem?
Why are there no problems with cygwin.dll and the Windows system dlls.

Thanks in advance,
Kees

P.S.

My testcase is very simple:

main.c
------
main()
{
	rout1();
	rout2();
}	

rout1.c
-------
rout1()
{
	printf("rout1\n");
}

rout2.c
-------
rout2()
{
	printf("rout2\n");
}

I build a DLL from rout1.c and another from rout2.c and link main.o to
the resulting rout1_dll.a and rout2_dll.a.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".